package com.mortals.xhx.module.matter.model;

import java.util.List;
import java.util.ArrayList;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.mortals.framework.annotation.Excel;
import com.mortals.framework.model.BaseEntityLong;
import com.mortals.xhx.module.matter.model.vo.MatterVo;
/**
* 事项申请材料实体对象
*
* @author zxfei
* @date 2022-10-11
*/

public class MatterEntity extends MatterVo {
    private static final long serialVersionUID = 1L;

    /**
    * 站点ID
    */
    private Long siteId;
    /**
    * 从政务系统来的事项id
    */
    private String tid;
    /**
    * 从政务系统来的事项code
    */
    private String tcode;
    /**
    * 从政务系统来的事项name
    */
    private String tname;
    /**
    * 事项名称
    */
    private String matterName;
    /**
    * 英语事项名
    */
    private String englishName;
    /**
    * 事项编号
    */
    private String matterNo;
    /**
    * 事项全称
    */
    private String matterFullName;
    /**
    * 部门ID
    */
    private Long deptId;
    /**
    * 部门名称
    */
    private String deptName;
    /**
    * 填单次数
    */
    private Integer total;
    /**
    * 排序
    */
    private Integer sort;
    /**
    * 是否推荐(0.未推荐，1.推荐)
    */
    private Integer isRecommend;
    /**
    * 是否推荐(0.手动添加，1.站点事项)
    */
    private Integer source;



    public MatterEntity(){}
    /**
    * 获取 站点ID
    * @return Long
    */
    public Long getSiteId(){
        return siteId;
    }
    /**
    * 设置 站点ID
    * @param siteId
    */
    public void setSiteId(Long siteId){
        this.siteId = siteId;
    }
    /**
    * 获取 从政务系统来的事项id
    * @return String
    */
    public String getTid(){
        return tid;
    }
    /**
    * 设置 从政务系统来的事项id
    * @param tid
    */
    public void setTid(String tid){
        this.tid = tid;
    }
    /**
    * 获取 从政务系统来的事项code
    * @return String
    */
    public String getTcode(){
        return tcode;
    }
    /**
    * 设置 从政务系统来的事项code
    * @param tcode
    */
    public void setTcode(String tcode){
        this.tcode = tcode;
    }
    /**
    * 获取 从政务系统来的事项name
    * @return String
    */
    public String getTname(){
        return tname;
    }
    /**
    * 设置 从政务系统来的事项name
    * @param tname
    */
    public void setTname(String tname){
        this.tname = tname;
    }
    /**
    * 获取 事项名称
    * @return String
    */
    public String getMatterName(){
        return matterName;
    }
    /**
    * 设置 事项名称
    * @param matterName
    */
    public void setMatterName(String matterName){
        this.matterName = matterName;
    }
    /**
    * 获取 英语事项名
    * @return String
    */
    public String getEnglishName(){
        return englishName;
    }
    /**
    * 设置 英语事项名
    * @param englishName
    */
    public void setEnglishName(String englishName){
        this.englishName = englishName;
    }
    /**
    * 获取 事项编号
    * @return String
    */
    public String getMatterNo(){
        return matterNo;
    }
    /**
    * 设置 事项编号
    * @param matterNo
    */
    public void setMatterNo(String matterNo){
        this.matterNo = matterNo;
    }
    /**
    * 获取 事项全称
    * @return String
    */
    public String getMatterFullName(){
        return matterFullName;
    }
    /**
    * 设置 事项全称
    * @param matterFullName
    */
    public void setMatterFullName(String matterFullName){
        this.matterFullName = matterFullName;
    }
    /**
    * 获取 部门ID
    * @return Long
    */
    public Long getDeptId(){
        return deptId;
    }
    /**
    * 设置 部门ID
    * @param deptId
    */
    public void setDeptId(Long deptId){
        this.deptId = deptId;
    }
    /**
    * 获取 部门名称
    * @return String
    */
    public String getDeptName(){
        return deptName;
    }
    /**
    * 设置 部门名称
    * @param deptName
    */
    public void setDeptName(String deptName){
        this.deptName = deptName;
    }
    /**
    * 获取 填单次数
    * @return Integer
    */
    public Integer getTotal(){
        return total;
    }
    /**
    * 设置 填单次数
    * @param total
    */
    public void setTotal(Integer total){
        this.total = total;
    }
    /**
    * 获取 排序
    * @return Integer
    */
    public Integer getSort(){
        return sort;
    }
    /**
    * 设置 排序
    * @param sort
    */
    public void setSort(Integer sort){
        this.sort = sort;
    }
    /**
    * 获取 是否推荐(0.未推荐，1.推荐)
    * @return Integer
    */
    public Integer getIsRecommend(){
        return isRecommend;
    }
    /**
    * 设置 是否推荐(0.未推荐，1.推荐)
    * @param isRecommend
    */
    public void setIsRecommend(Integer isRecommend){
        this.isRecommend = isRecommend;
    }
    /**
    * 获取 是否推荐(0.手动添加，1.站点事项)
    * @return Integer
    */
    public Integer getSource(){
        return source;
    }
    /**
    * 设置 是否推荐(0.手动添加，1.站点事项)
    * @param source
    */
    public void setSource(Integer source){
        this.source = source;
    }




    @Override
    public int hashCode() {
         return this.getId().hashCode();
    }
    @Override
    public boolean equals(Object obj) {
        if (obj == null) return false;
        if (obj instanceof MatterEntity) {
            MatterEntity tmp = (MatterEntity) obj;
            if (this.getId() == tmp.getId()) {
                 return true;
            }
        }
        return false;
    }

    public String toString(){
        StringBuilder sb = new StringBuilder("");
        sb.append(",siteId:").append(getSiteId());
        sb.append(",tid:").append(getTid());
        sb.append(",tcode:").append(getTcode());
        sb.append(",tname:").append(getTname());
        sb.append(",matterName:").append(getMatterName());
        sb.append(",englishName:").append(getEnglishName());
        sb.append(",matterNo:").append(getMatterNo());
        sb.append(",matterFullName:").append(getMatterFullName());
        sb.append(",deptId:").append(getDeptId());
        sb.append(",deptName:").append(getDeptName());
        sb.append(",total:").append(getTotal());
        sb.append(",sort:").append(getSort());
        sb.append(",isRecommend:").append(getIsRecommend());
        sb.append(",source:").append(getSource());
        return sb.toString();
    }

    public void initAttrValue(){

            this.siteId = null;

            this.tid = "";

            this.tcode = "";

            this.tname = "";

            this.matterName = "";

            this.englishName = "";

            this.matterNo = "";

            this.matterFullName = "";

            this.deptId = null;

            this.deptName = "";

            this.total = 0;

            this.sort = 0;

            this.isRecommend = 0;

            this.source = 0;
    }
}